Çalışma alanı
Bildirimleri okundu say
Verilen bildirimleri (ya da ids yoksa tümünü) okundu yapar.
Yetkilendirme
AuthorizationheaderzorunluBearer belirteci: API anahtarı (sk_…), OAuth erişim belirteci (mcp_…) ya da mobil oturum (xk_…).
Kapsam:
crm.writeGövde application/json
idsarray<integer>isteğe bağlıBildirim kimlikleri.
İstek
curl -X POST https://ornek.solk.app/api/v1/notifications/read \
-H "Authorization: Bearer $SOLK_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'const res = await fetch("https://ornek.solk.app/api/v1/notifications/read", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({}),
});
const data = await res.json();import os, requests
r = requests.post(
"https://ornek.solk.app/api/v1/notifications/read",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
json={},
)
print(r.json())Yanıt
{
"marked": 0,
"ok": true
}Örnek yanıt örnek veriyle çalışan bir v22 kurulumundan alındı; listeler en çok iki öğeyle kısaltıldı.